from setuptools import setup, find_packages

def readme():
    """Read long description safely"""
    try:
        with open("README.md", "r", encoding="utf-8") as f:
            return f.read()
    except FileNotFoundError:
        return "A simple Python package to interact with a dataset API."

setup(
    name="datasetclient",
    version="0.1.1",  # Increment version to avoid conflicts
    author="Shoumitro Roy",
    author_email="sray@idare.io",
    description="A simple Python package to interact with a dataset API.",
    long_description=readme(),
    long_description_content_type="text/markdown",
    url="https://gitlab.com/shoumitrof26/datasetclient",
    packages=find_packages(),
    install_requires=[
        "requests",
        "pandas"
    ],
    classifiers=[
        "Programming Language :: Python :: 3",
        "Operating System :: OS Independent",
    ],
    python_requires=">=3.6",
    include_package_data=True,
    keywords="dataset, API, pandas, requests, Python",
    maintainer="Shoumitro Roy",
    maintainer_email="sray@idare.io",
    project_urls={
        "Source Code": "https://gitlab.com/shoumitrof26/datasetclient",
    },
)
